package main

import (
	"os"
	"time"

	"github.com/davecgh/go-spew/spew"
	"github.com/mmcdole/gofeed"
)

var updateCycle = time.Minute

func checkFeed() error {
	fp := gofeed.NewParser()
	feed, err := fp.ParseURL("https://rpilocator.com/feed/")
	if err != nil {
		return err
	}

	f, err := os.Create("feed.txt")
	if err != nil {
		return err
	}
	defer f.Close()

	spew.Fdump(f, feed)
	return nil
}

func main() {
	checkFeed()
}
